<?php

namespace BT\PaygateBetatransfer;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;

class Setup extends AbstractSetup
{
    use StepRunnerInstallTrait;
    use StepRunnerUpgradeTrait;
    use StepRunnerUninstallTrait;

    public function installStep1(): void
    {
        $db = $this->db();

        $db->insert('xf_payment_provider', [
            'provider_id'       => "btBetatransfer",
            'provider_class'    => "BT\\PaygateBetatransfer:Betatransfer",
            'addon_id'          => "BT/PaygateBetatransfer",
        ]);
    }

    public function uninstallStep1()
    {
        $db = $this->db();

        $db->delete('xf_payment_profile', 'provider_id = ?', 'btBetatransfer');
        $db->delete('xf_payment_provider', 'provider_id = ?', 'btBetatransfer');
    }
}